{{ '{% extends "layout.jinja2" %}' }}
{{ '{% import "' }}{{cookiecutter.package_name}}{{ '_nav.jinja2" as nav %}' }}
{{ '{# <!-- Formulargenerator: http://tools.webmart.de/form-generator/ --> #}' }}
{{ '{% block header %}' }}
{{ '{% endblock header %}' }}

{{ '{% block content %}' }}
<div class="flex flex-wrap">
  <div class="w-100 w-20-ns">
    {{ '{{ nav.navigation() }}' }}
  </div>
  <div class="content w-100 w-80-ns">
    <div class="content">
      <h1 class="f2 f1-l fw2 white-90 mb0 lh-title gold">
	{{ '{{ topic }}' }}
      </h1>
    {{ '{% if fehler %}' }}
      <h2>Leider sind Fehler aufgetreten</h2>
      <dl>
      	  {{ '{% for fehler in fehler %}' }}
	  {{ '{% for key, value in fehler.items() %}' }}
	  <dt>{{ '{{ key|e }}' }}</dt>
	  <dd>{{ '{{ value|e }}' }}</dd>
	  {{ '{% endfor %}' }}
	  {{ '{% endfor %}' }}	
	</dl>
      {{ '{% endif %}' }}  

      <div>
      	<h2>Diverse Ausgabeformate/-Techniken</h2>
	<h2>Dictionary</h2>
	<p>{{ '{{ data }}' }}</p>
      </div>
      <h2>Liste</h2>
      <div>
	<dl>
	  {{ '{% for key, value in data.items() %}' }}
	  <dt>{{ '{{ key|e }}' }}</dt>
	  <dd>{{ '{{ value|e }}' }}</dd>
	  {{ '{% endfor %}' }}
	</dl>
      </div>
      <div>
	<h2>XML</h2>
	<p>siehe Beispiel:
	  <a href="/f11n/portaldemo/multiform1">
	    Zwei Formulare in der Portaldemo</a>
	</p>
      </div>
    </div>
  </div>
</div>
{{ '{% endblock content %}' }}
    
